<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\FileUpload;

class AttachmentFileUpload extends FileUpload
{
    public static function create(): static
    {
        return parent::make('attachment')
            ->label('پیوست')
            ->columnSpan(12)
            ->panelLayout('grid')
            ->directory('files')
            ->downloadable()
            ->reorderable()
            ->moveFiles()
            ->openable();
    }
}
